Skip to content

getDepreciationRunLines

READ

Get depreciation run lines.

POST /api/v1/accounting/getDepreciationRunLines
curl -X POST '<your-host>/api/v1/accounting/getDepreciationRunLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "depreciationRunId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "amount": 0,
      "taxAmount": 0,
      "journalId": "string",
      "fixedAsset": {
        "id": "string",
        "fixedAssetId": "string",
        "name": "string",
        "acquisitionCost": 0,
        "accumulatedDepreciation": 0,
        "accumulatedTaxDepreciation": 0,
        "residualValuePercent": 0
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "depreciationRunId": {
      "type": "string"
    }
  },
  "required": [
    "depreciationRunId"
  ]
}